<!--
/********************************************************************************
 * Copyright © 2020 Basys GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
-->

<label class="field-label" [for]="controlId">
  <ng-content></ng-content>
</label>

<div [formGroup]="form" class="field-control">

  <p-dropdown class="field-control-dropdown ui-dropdown" [inputId]="controlId"
              [style]="{width: '100%', boxSizing: 'border-box', padding: '0.125rem 0.5rem', backgroundColor: 'white'}"
              [options]="options" [formControlName]="'' + key" [filter]="filter" [autoDisplayFirst]="false">
  </p-dropdown>

  <ok-error [control]="form?.get([key])"></ok-error>

</div>
